package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class AllocationDetailReq {

    /**
     * 订单明细id
     */
    @NotBlank(message = "订单明细id不能为空")
    private String detailId;

    /**
     * 销售价
     */
    @NotNull(message = "销售价不能为空")
    private BigDecimal salesPrice;

    /**
     * 采购价
     */
  /*  @NotNull(message = "采购价不能为空")*/
    private BigDecimal purchasePrice;

    /**
     * 发货数量
     */
    @NotNull(message = "发货数量不能为空")
    private BigDecimal outAmount;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getOutAmount() {
        return outAmount;
    }

    public void setOutAmount(BigDecimal outAmount) {
        this.outAmount = outAmount;
    }

    @Override
    public String toString() {
        return "AllocationDetailReq{" +
                "detailId='" + detailId + '\'' +
                ", salesPrice=" + salesPrice +
                ", purchasePrice=" + purchasePrice +
                ", outAmount=" + outAmount +
                '}';
    }
}
